Index: /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 16964)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 16965)
@@ -147,5 +147,5 @@
       Properties.Settings.Default.CustomConfigurationsTypeCache =
         configurationTypeCacheString.ToString();
-      Properties.Settings.Default.Save();
+      //Properties.Settings.Default.Save();
     }
 
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 16964)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 16965)
@@ -44,4 +44,5 @@
       return type == typeof(Type) ||
         type.VersionInvariantName() == "System.RuntimeType, mscorlib" ||
+        type.VersionInvariantName() == "System.RuntimeType, System.Private.CoreLib" ||
         type.VersionInvariantName() == "System.MonoType, mscorlib";
       #endregion
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 16964)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 16965)
@@ -12,5 +12,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <PackageReference Include="System.Configuration.ConfigurationManager" Version="4.5.0" />
     <PackageReference Include="System.Reflection.Emit.ILGeneration" Version="4.3.0" />
     <PackageReference Include="System.Reflection.Emit.Lightweight" Version="4.3.0" />
Index: anches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.Designer.cs	(revision 16964)
+++ 	(revision )
@@ -1,50 +1,0 @@
-﻿//------------------------------------------------------------------------------
-// <auto-generated>
-//     This code was generated by a tool.
-//     Runtime Version:4.0.30319.34014
-//
-//     Changes to this file may cause incorrect behavior and will be lost if
-//     the code is regenerated.
-// </auto-generated>
-//------------------------------------------------------------------------------
-
-namespace HeuristicLab.Persistence.Properties {
-    
-    
-    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "12.0.0.0")]
-    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
-        
-        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
-        
-        public static Settings Default {
-            get {
-                return defaultInstance;
-            }
-        }
-        
-        [global::System.Configuration.UserScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("")]
-        public string CustomConfigurations {
-            get {
-                return ((string)(this["CustomConfigurations"]));
-            }
-            set {
-                this["CustomConfigurations"] = value;
-            }
-        }
-        
-        [global::System.Configuration.UserScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("")]
-        public string CustomConfigurationsTypeCache {
-            get {
-                return ((string)(this["CustomConfigurationsTypeCache"]));
-            }
-            set {
-                this["CustomConfigurationsTypeCache"] = value;
-            }
-        }
-    }
-}
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.cs	(revision 16965)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.cs	(revision 16965)
@@ -0,0 +1,36 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:4.0.30319.34014
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.Persistence.Properties {
+
+
+  /*[global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "12.0.0.0")]*/
+  internal class Settings/* : global::System.Configuration.ApplicationSettingsBase*/ {
+
+    private static Settings defaultInstance = new Settings();
+
+    public static Settings Default {
+      get {
+        return defaultInstance;
+      }
+    }
+
+    /*[global::System.Configuration.UserScopedSettingAttribute()]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Configuration.DefaultSettingValueAttribute("")]*/
+    public string CustomConfigurations { get; set; }
+
+    /*[global::System.Configuration.UserScopedSettingAttribute()]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Configuration.DefaultSettingValueAttribute("")]*/
+    public string CustomConfigurationsTypeCache { get; set; }
+  }
+}
Index: anches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.settings
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.Persistence/3.3/Properties/Settings.settings	(revision 16964)
+++ 	(revision )
@@ -1,12 +1,0 @@
-﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Persistence.Properties" GeneratedClassName="Settings">
-  <Profiles />
-  <Settings>
-    <Setting Name="CustomConfigurations" Type="System.String" Scope="User">
-      <Value Profile="(Default)" />
-    </Setting>
-    <Setting Name="CustomConfigurationsTypeCache" Type="System.String" Scope="User">
-      <Value Profile="(Default)" />
-    </Setting>
-  </Settings>
-</SettingsFile>